Canon EOS R, RF 16 mm 1.8 (Firmware update).

Discussion in 'Canon EOS R Series' started by Fernando_=7, Sep 19, 2022.

  1. Fernando_=7

    Fernando_=7 New Member

    Joined:
    Sep 16, 2022
    Messages:
    1
    Hi all,

    I've recently got the RF 16 mm 1.8 to use in my Canon Eos R. Every time I turn on the camera shows the message: "attached lens may not work properly because it is not supported by the camera firmware", I press "ok" and I can take photos as normal, but is really annoying having this.
    The camera has the firmware ver .1.4.0, before updating, I checked which lenses are included to support in the different firmware descriptions (as far as I know 1.8.0 is the latest), and in non of them this lens is included. Since the firmware update is a risky process I don't want to update just to realize that the problem is still there, I want to know if anybody had this issue and if some of the updates fix the problem even when the lens is not listed in the firmware description.
    I appreciate any info about.

    Thanks!

    Fernando.
     

  2. GDN

    GDN Well-Known Member

    Joined:
    Jul 22, 2018
    Messages:
    1,930
    Location:
    South Island, NZ
    Equipment:
    A little Canon stuff
    I had a quick look around, and I couldn't find any reference to a firmware update having mention this lens. But I have done a few firmware updates on various cameras over the years, and I think that they are pretty low risk if you follow the instructions to the word.

    I understand that you are not keen to do an upgrade, but I would do the upgrade. I would be pretty surprised if you still get the same error message after the upgrade.

    Gary
     

Share This Page